Bug Hunting Session
Bug 116460 - The current page number isn't updated when scrolling with page up/down or arrow until after release
Summary: The current page number isn't updated when scrolling with page up/down or arr...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: low minor
Assignee: Jim Raykowski
URL:
Whiteboard: target:6.4.0
Keywords:
Depends on:
Blocks: Statusbar
  Show dependency treegraph
 
Reported: 2018-03-17 20:17 UTC by Telesto
Modified: 2019-06-06 20:04 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2018-03-17 20:17:04 UTC
Description:
The current page isn't updated when scrolling with page up/down or arrow until after release

Steps to Reproduce:
1. Open attachment 140573 [details] (bug 116281)
2. Scroll up down with page down/up or arrow key up/down and 


Actual Results:  
The current page number isn't shown while scrolling

Expected Results:
Should be updated continuously 


Reproducible: Always


User Profile Reset: No



Additional Info:
Found in
Version: 6.1.0.0.alpha0+
Build ID: e5bc7fa4e83b33fc3eee343e560a4f8cb91eacd6
CPU threads: 4; OS: Windows 6.3; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-03-14_23:37:38
Locale: nl-NL (nl_NL); Calc: CL

and in
Versie: 4.4.7.2 
Build ID: f3153a8b245191196a4b6b9abd1d0da16eead600
Locale: nl_NL

and in
LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4


User-Agent: Mozilla/5.0 (Windows NT 6.3; WOW64; rv:52.0) Gecko/20100101 Firefox/52.0
Comment 1 Buovjaga 2018-03-18 14:20:51 UTC
Good catch of an oldie.

Arch Linux 64-bit
Version: 6.1.0.0.alpha0+
Build ID: 070dbae6b4dc497d6ae898e60203d25b0e608d73
CPU threads: 8; OS: Linux 4.15; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on March 17th 2018
Comment 2 Òscar 2018-07-18 20:47:51 UTC
Reproduced with several documents. Also after release, the displayed current page number is not updated and shows allways Page 1/X. The displayed current page style match that of page 1.

In addition,
"When you scroll using the right scrollbar, the page numbers are displayed as a Help tip." (https://help.libreoffice.org/Writer/Page_Number)
does not work.


User Profile Reset: No

Version: 6.0.5.2 (x64)
Build ID: 54c8cbb85f300ac59db32fe8a675ff7683cd5a16
CPU threads: 4; OS: Windows 10.0; UI render: GL; 
Locale: ca-ES (de_DE); Calc: group
Comment 3 Òscar 2019-01-20 11:53:43 UTC
(In reply to Òscar from comment #2)
> Reproduced with several documents. Also after release, the displayed current
> page number is not updated and shows allways Page 1/X. The displayed current
> page style match that of page 1.
> 
> In addition,
> "When you scroll using the right scrollbar, the page numbers are displayed
> as a Help tip." (https://help.libreoffice.org/Writer/Page_Number)
> does not work.
> 
> 
> User Profile Reset: No
> 
> Version: 6.0.5.2 (x64)
> Build ID: 54c8cbb85f300ac59db32fe8a675ff7683cd5a16
> CPU threads: 4; OS: Windows 10.0; UI render: GL; 
> Locale: ca-ES (de_DE); Calc: group

Interestingly, now it works fine! Page number gets updated while scrolling and also after mouse release.
Maybe something to do with UI render?

The Help tip is still not displayed.


User Profile Reset: No

Version: 6.0.5.2 (x64)
Build ID: 54c8cbb85f300ac59db32fe8a675ff7683cd5a16
CPU threads: 4; OS: Windows 10.0; UI render: default; 
Locale: ca-ES (de_DE); Calc: group
Comment 4 Buovjaga 2019-01-20 12:19:38 UTC
I still repro with the doc from description

Arch Linux 64-bit
Version: 6.3.0.0.alpha0+
Build ID: 64b801244aee9855e26487246cd7ab79dc78b933
CPU threads: 8; OS: Linux 4.20; UI render: default; VCL: gtk3; 
Locale: fi-FI (fi_FI.UTF-8); UI-Language: en-US
Calc: threaded
Built on 20 January 2019
Comment 5 Òscar 2019-01-21 08:48:04 UTC
(In reply to Buovjaga from comment #4)
> I still repro with the doc from description
> 
> Arch Linux 64-bit
> Version: 6.3.0.0.alpha0+
> Build ID: 64b801244aee9855e26487246cd7ab79dc78b933
> CPU threads: 8; OS: Linux 4.20; UI render: default; VCL: gtk3; 
> Locale: fi-FI (fi_FI.UTF-8); UI-Language: en-US
> Calc: threaded
> Built on 20 January 2019

Yes, you are right. I didn't pay enough attention to the Description. When using page up/page down keys or arrow keys, the page number isn't updated until the keys are released.
In contrast, the page number IS updated when using the mouse scroll wheel or the lateral scrollbar.
Comment 6 Jim Raykowski 2019-05-22 02:18:20 UTC
Hi all, a patch for this is here:
https://gerrit.libreoffice.org/#/c/72713/

For me, testing with SAL_USE_VCLPLUGIN gtk2 and gtk3, page up/down continue action and do not update the page number in the statusbar after released when held down for longer than a single action key press. SAL_USE_VCLPLUGIN=gen behavior does not continue page up/down action after released.
Comment 7 Buovjaga 2019-05-23 14:47:37 UTC
(In reply to Jim Raykowski from comment #6)
> Hi all, a patch for this is here:
> https://gerrit.libreoffice.org/#/c/72713/

I confirm the patch fixes it!
Comment 8 Commit Notification 2019-06-01 04:32:41 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/ccc00b037a7a20dab84255e865ac042d8801df28%5E%21

tdf#116460 Update the page number in the statusbar

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.